[SOLVED] "Unable to load VPN connection editor"
FedoraForum.org - Fedora Support Forums and Community
Results 1 to 3 of 3
  1. #1
    Join Date
    May 2004
    Location
    Central Wyoming
    Posts
    652
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Question "Unable to load VPN connection editor"

    Upgraded from 29 to 30 using dnf-plugin as suggested in Fedora Magazine. It was working just fine in F-29

    2 different workstations and a laptop do this.

    Settings -> Network -> Add VPN -> IPsec based VPN
    (which only became visible after installing: NetworkManager-libreswan NetworkManager-strongswan strongswan libreswan - results in:

    (Error: unable to load VPN connection editor) - just under the name dialog.

    It is also showing the same error when a new L2TP connection is selected.

    Seems it's something with IPsec, but don't know what.

    FWIW, all other VPN types listed appear they'd work fine. ie when selected, they launch an editor.
    (Cisco AnyConnect, OpenVPN, PPTP, SSH, vpnc)

    Looking for the magic chicken to ::thwak:: the appropriate thing so the IPsec VPN editor will launch and let me config remote access to the office LAN.

    TIA!
    Registered Linux user #227845
    But, with the demise of the Linux Counter Project - who can tell...

  2. #2
    Join Date
    May 2004
    Location
    Central Wyoming
    Posts
    652
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Re: "Unable to load VPN connection editor"

    Now that I'm seeing this same result on several machines, I asume it's a flaw in Fedora itself. But, assumptions and all that.
    In the hopes that someone else will corroborate, I've included screen shots of the steps involved. Would really like to know if it's "Just me" for some reason or really a problem in Fedora's deployment of the GUI.

    Starting in the upper right corner - click
    Name:  1.png
Views: 22
Size:  2.9 KB

    From that drop down - click the 'gear'.
    Click image for larger version. 

Name:	2.png 
Views:	1 
Size:	15.9 KB 
ID:	30307

    From the settings tool, choose Network and Click on the '+' sign on VPN.
    Click image for larger version. 

Name:	3.png 
Views:	1 
Size:	51.3 KB 
ID:	30308

    Finally, choose an "IPsec based VPN"
    Click image for larger version. 

Name:	4.png 
Views:	2 
Size:	47.7 KB 
ID:	30309

    This is what I get - is it just me or??
    Click image for larger version. 

Name:	5.png 
Views:	3 
Size:	14.4 KB 
ID:	30310
    Registered Linux user #227845
    But, with the demise of the Linux Counter Project - who can tell...

  3. #3
    Join Date
    May 2004
    Location
    Central Wyoming
    Posts
    652
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Re: "Unable to load VPN connection editor"

    Got it!

    Remove all packages that have anything to do with "libreswan"

    NetworkManager-libreswan-1.2.10-1.fc30.1.x86_64
    libreswan-3.27-1.fc30.2.x86_64
    ldns-1.7.0-23.fc30.x86_64
    nss-tools-3.43.0-2.fc30.x86_64


    Install all the Strongswan packages

    NetworkManager-strongswan-gnome-1.4.4-2.fc30.x86_64
    strongswan-charon-nm-5.7.2-2.fc30.x86_64
    strongswan-5.7.2-2.fc30.x86_64
    NetworkManager-strongswan-1.4.4-2.fc30.x86_64

    Now, key for me was in *finally* finding an obscuure post on Techrepublic that mentioned 'NetworkManager-strongswan-gnome'. Adding that package changes the 'Add VPN' option to include:
    Click image for larger version. 

Name:	a.png 
Views:	3 
Size:	47.2 KB 
ID:	30314

    And, more importantly - selecting IPsec/IKEv2(strongswan) now results in a usable config editor!
    Click image for larger version. 

Name:	b.png 
Views:	3 
Size:	54.4 KB 
ID:	30316Attachment 30315
    Last edited by Zotter; 10th May 2019 at 11:37 PM.
    Registered Linux user #227845
    But, with the demise of the Linux Counter Project - who can tell...

Similar Threads

  1. Replies: 4
    Last Post: 6th May 2013, 01:12 PM
  2. Replies: 2
    Last Post: 30th June 2010, 06:56 PM
  3. Replies: 4
    Last Post: 30th April 2007, 03:32 PM
  4. nvidiia: "Failed to load module "nvidia-1.0-9746"
    By StefanJ in forum Hardware & Laptops
    Replies: 7
    Last Post: 25th February 2007, 04:56 AM
  5. Replies: 0
    Last Post: 23rd May 2005, 04:59 AM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •